# Method: reports.run

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/run#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/run#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/run#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/run#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/run#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/run#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/run#try-it)

Runs a report.

### HTTP request

`POST https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/reports/{reportId}/run`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` The Campaign Manager 360 user profile ID. |
| `reportId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the report. |

### Query parameters

| Parameters ||
|---|---|
| `body` | `object` Empty body |
| `synchronous` | `boolean` If set and true, tries to run the report synchronously. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/File`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfareporting`